import { Kysely } from 'kysely';
import { DB } from "../schema";
export declare class SharedLinkAssetRepository {
    private db;
    constructor(db: Kysely<DB>);
    remove(sharedLinkId: string, assetId: string[]): Promise<string[]>;
    copySharedLinks({ sourceAssetId, targetAssetId }: {
        sourceAssetId: string;
        targetAssetId: string;
    }): Promise<import("kysely").InsertResult[]>;
}
